> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Image to video (official)

> Official-style image-to-video.

**Path:** `POST https://api.omniall.ai/runwayml/v1/image_to_video`

Auth: `Authorization: Bearer sk-...`



## OpenAPI

````yaml openapi/runway-official.yaml POST /runwayml/v1/image_to_video
openapi: 3.1.0
info:
  title: Omniall AI — Runway (official)
  version: 1.0.0
  description: >-
    Runway official-style paths.


    **Image-to-video:** `POST https://api.omniall.ai/runwayml/v1/image_to_video`


    **Video-to-video:** `POST /runwayml/v1/video_to_video`


    **Poll:** `GET /runwayml/v1/tasks/{task_id}`


    Models: `gen3a_turbo`, `gen4_turbo`, `gen4_aleph`, … — see [Model
    Square](https://omniall.ai/pricing).


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /runwayml/v1/image_to_video:
    post:
      tags:
        - Runway official
      summary: Image to video
      description: |-
        Official-style image-to-video.

        **Path:** `POST https://api.omniall.ai/runwayml/v1/image_to_video`

        Auth: `Authorization: Bearer sk-...`
      operationId: runwayOfficialImageToVideo
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - promptImage
                - promptText
              properties:
                model:
                  type: string
                  example: gen3a_turbo
                  description: Model id, e.g. `gen3a_turbo`, `gen4_turbo`.
                promptImage:
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: string
                  description: Reference image URL or list of URLs.
                promptText:
                  type: string
                  description: Prompt text.
                duration:
                  type: integer
                  enum:
                    - 5
                    - 10
                  description: Duration seconds (5 or 10). Default often 10.
                seed:
                  type: integer
                  minimum: 0
                  maximum: 999999999
                  description: Random seed.
                watermark:
                  type: boolean
                  description: Whether to include watermark.
                ratio:
                  type: string
                  description: Aspect / pixel ratio, e.g. `768:1280`, `1280:720`.
            examples:
              image_to_video:
                summary: Image-to-video
                value:
                  promptImage: https://example.com/ref.png
                  seed: 999999999
                  model: gen3a_turbo
                  promptText: Camera slowly pushes in, cinematic light
                  watermark: false
                  duration: 5
                  ratio: '768:1280'
      responses:
        '200':
          description: Task accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunwayOfficialTask'
              example:
                id: task_xxxxxxxxxxxxxxx
                status: PENDING
components:
  schemas:
    RunwayOfficialTask:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          description: PENDING / RUNNING / SUCCEEDED / FAILED …
        createdAt:
          type: string
        output:
          type: array
          items:
            type: string
        progress:
          type: number
        failure:
          type: string
        failureReason:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.